<?php

if ( !defined( 'WP_UNINSTALL_PLUGIN' ) ) {
  exit();
}

$tld_wcdpue_byebye = get_option( 'tld_wcdpue_delete_db_settings' );

if ( $tld_wcdpue_byebye == 'on' ){

  $user_id = $current_user->ID;

  delete_usermeta( $user_id, 'tld_wcdpue_review_dismiss' );
  delete_option( 'tld_wcdpue_showed_welcome_screen' );
// TODO: rename variables without wcdpue
  delete_option( 'tld_wcdpue_email_subject' );
  delete_option( 'tld_wcdpue_settings_email_content' );
  delete_option( 'tld_wcdpue_wc_default_styles' );
  delete_option( 'tld_wcdpue_schedule_setting_value' );
  delete_option( 'tld_wcdpue_email_bursts_count' );
  delete_option( 'tld_wcdpue_log_date_format' );
  delete_option( 'tld_wcdpue_delete_db_settings' );
  delete_option( 'tld_wcdpue_activation_date' );
  delete_option( 'tld_wcdpue_tbl_version' );
  delete_option( 'tld_table_version' ); // NOTE: old table option name prior to 1.4.0
  delete_option( 'tld_default_cron' );
  delete_option( 'tld_wcdpue_show_immediately' );

  global $wpdb;
  $tld_wcdpue_the_schedule_table = $wpdb->prefix."wcdpue_scheduled";
  $tld_wcdpue_the_log_table = $wpdb->prefix."wcdpue_log";
  $wpdb->query( "DROP TABLE IF EXISTS $tld_wcdpue_the_schedule_table" );
  $wpdb->query( "DROP TABLE IF EXISTS $tld_wcdpue_the_log_table" );

}
