// $.noConflict();
jQuery( function($){

  $( document ).ready( function() {

    $('.tld-wcdpue-product-name-select').selectWoo({
      placeholder: "Downloads updated",
      allowClear: true
    }
  );

  var tld_wcdpue_clipboard = new Clipboard('.tld-wcdpue-copy');

  tld_wcdpue_clipboard.on('success', function(e) {
    alert('Copied to clipboard, paste HTML in the "Text" tab of the editor above, then switch to "Visual" to see your template.');
  });

  tld_wcdpue_clipboard.on('error', function(e) {
    alert('There was an error coping, please try copying manually then paste the HTML in the "Text" tab of the editor above, then switch to "Visual" to see your template.');
  });

  $( function() {
    $( "#tld-wcdpue-settings-tabs" ).tabs().show();
  } );

  $( function() {
    $( "#tld-wcdpue-templates" ).accordion({
      collapsible: true,
      active: false
    });
  } );

  //dialog box effects and behavior
  $( ".tld-wcdpue-dialogs" ).dialog({
    autoOpen: false,
    show: {
      effect: "fade",
      duration: 200
    },
    hide: {
      effect: "fade",
      duration: 200
    }
  });

  // dialog showing behavior
  $( "#tld-wcdpue-tmplt1-code" ).on( "click", function() {
    $( "#tld-wcdpue-dialog1" ).dialog( "open" );
  });
  $( "#tld-wcdpue-tmplt2-code" ).on( "click", function() {
    $( "#tld-wcdpue-dialog2" ).dialog( "open" );
  });
  $( "#tld-wcdpue-tmplt3-code" ).on( "click", function() {
    $( "#tld-wcdpue-dialog3" ).dialog( "open" );
  });
  $( "#tld-wcdpue-tmplt4-code" ).on( "click", function() {
    $( "#tld-wcdpue-dialog4" ).dialog( "open" );
  });

});

$(window).load(function() {
  // TODO: Delete unused variables from immediately workflow
  var tldOphanCookie = Cookies.get( 'tld-wcdpue-cookie' );
  var tld_wcdpue_emails_sent_count = Cookies.get( 'tld-wcdpue-num-emails-sent' );
  var tld_wcdpue_emails_scheduled_count = Cookies.get( 'tld-wcdpue-emails-scheduled' );
  // var tld_wcdpue_no_links_added = Cookies.get( 'tld-wcdpue-no-links-added' );

  // document.getElementById( "tld-wcdpue-email-status" ).style.cssText="margin-top: 15px; font-weight: bold; text-decoration: underline;";

  //add and statement to check which notification option user picked

  if ( tld_wcdpue_emails_scheduled_count !== undefined ){

    document.getElementById( "tld-wcdpue-email-status" ).style.cssText="margin-top: 15px; color: #4d85b5; text-transform: capitalize;";

    if ( tld_wcdpue_emails_scheduled_count > 1 ){
      document.getElementById( "tld-wcdpue-email-status" ).innerHTML = tld_wcdpue_emails_scheduled_count + " emails scheduled";
    }else{
      document.getElementById( "tld-wcdpue-email-status" ).innerHTML = tld_wcdpue_emails_scheduled_count + " email scheduled";
    }

    document.cookie = "tld-wcdpue-emails-scheduled = tld-wcdpue-emails-scheduled; expires=Thu, 01 Jan 1970 00:00:00 UTC";

  }

  if ( tld_wcdpue_emails_sent_count !== undefined ){

    document.getElementById( "tld-wcdpue-email-status" ).style.cssText="margin-top: 15px; font-weight: bold; text-decoration: underline;";

    if ( tld_wcdpue_emails_sent_count > 1 ){
      document.getElementById( "tld-wcdpue-email-status" ).innerHTML = tld_wcdpue_emails_sent_count + " emails sent out";
    }else{
      document.getElementById( "tld-wcdpue-email-status" ).innerHTML = tld_wcdpue_emails_sent_count + " email sent out";
    }

    document.cookie = "tld-wcdpue-num-emails-sent = tld_wcdpue_emails_sent; expires=Thu, 01 Jan 1970 00:00:00 UTC";


  }

  if ( tldOphanCookie !== undefined ) {

    Cookies.remove( 'tld-wcdpue-cookie' );

  }
  // if ( tldOphanCookie !== null ) {
  //
  //   Cookies.remove( 'tld-wcdpue-cookie' );
  //
  // }

});

});

function tld_cookie_business() {

  var tldCookie = Cookies.get( 'tld-wcdpue-cookie' );

  // if ( tldCookie == null ) {
  if ( tldCookie == undefined ) {

    Cookies.set( 'tld-wcdpue-cookie', '1' );
    document.getElementById( "meta-switch-label" ).style.cssText="color: #228B22; font-weight: bold; ";
    document.getElementById( "meta-switch-label" ).innerHTML = "Activated"

  } else {

    Cookies.remove( 'tld-wcdpue-cookie' );
    document.getElementById( "meta-switch-label" ).style.cssText="color: inherit; font-weight: normal; ";
    document.getElementById( "meta-switch-label" ).innerHTML = "Deactivated"

  }

}
